Bug 1675181 - jemalloc: FTBFS in Fedora rawhide/f30
Summary: jemalloc: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jemalloc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ingvar Hagelund
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1677602
Blocks: ZedoraTracker F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:32 UTC by Fedora Release Engineering
Modified: 2019-03-11 14:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-11 14:14:47 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:33 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:33 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-02-11 20:33 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:32:58 UTC
jemalloc failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32402857


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix jemalloc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
jemalloc will be orphaned. Before branching of Fedora 31,
jemalloc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:33:01 UTC
Created attachment 1530654 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:33:03 UTC
Created attachment 1530655 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:33:06 UTC
Created attachment 1530656 [details]
state.log

Comment 4 Ingvar Hagelund 2019-02-14 14:35:11 UTC
I filed an upstream issue https://github.com/jemalloc/jemalloc/issues/1434

sharkcz, maybe you can help us with this?

Ingvar

Comment 5 Dan Horák 2019-02-14 14:50:38 UTC
Yes, I'll take a look, adding to my to-do list :-) Must be related to gcc9, I'm running a CI for jemalloc and I'm not aware of any other issues.

Comment 6 Ingvar Hagelund 2019-03-11 14:14:47 UTC
Rebuilt without problems after #1677602 was fixed. Close.


Note You need to log in before you can comment on or make changes to this bug.